Bug 1584490 (CVE-2018-12533)

Summary: CVE-2018-12533 RichFaces: Injection of arbitrary EL expressions allows remote code execution via org.richfaces.renderkit.html.Paint2DResource
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: aileenc, alazarot, anstephe, bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dereed, dimitris, dosoudil, drieden, etirelli, fgavrilo, gvarsami, ibek, jawilson, jboss-set, jcoleman, jolee, jondruse, jschatte, jstastny, kconner, krathod, kverlaen, ldimaggi, lgao, loleary, lpetrovi, myarboro, nwallace, paradhya, pgier, pjurak, ppalaga, psakar, pslavice, rnetuka, rrajasek, rstancel, rsvoboda, rsynek, rwagner, rzhang, sdaley, sfowler, spinder, tcunning, theute, tkirby, twalsh, vhalbert, vtunka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:27:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1584664, 1584908, 1584942, 1637230    
Bug Blocks: 1584491    

Description Sam Fowler 2018-05-31 04:07:59 UTC
RichFaces versions 3.x through 3.3.4 is vulnerable to injection of arbitrary EL expressions in org.richfaces.renderkit.html.Paint2DResource allowing remote attackers to execute arbitrary code.


External Reference:

https://codewhitesec.blogspot.com/2018/05/poor-richfaces.html

Comment 1 Sam Fowler 2018-05-31 04:28:49 UTC
Upstream issue:

https://issues.jboss.org/browse/RF-14310

Comment 11 errata-xmlrpc 2018-09-10 14:43:24 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:2663 https://access.redhat.com/errata/RHSA-2018:2663

Comment 12 errata-xmlrpc 2018-09-10 14:52:30 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 5 for RHEL 5
  Red Hat JBoss Enterprise Application Platform 5 for RHEL 6

Via RHSA-2018:2664 https://access.redhat.com/errata/RHSA-2018:2664

Comment 14 errata-xmlrpc 2018-10-16 17:05:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Operations Network

Via RHSA-2018:2930 https://access.redhat.com/errata/RHSA-2018:2930